Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class FTPosData

    java.lang.Object
      org.basex.data.FTPosData

    public final class FTPosData

extends java.lang.Object

This class provides a container for query fulltext positions for any visualization. The data is stored as follows: prepos[i][pre, pos0, ..., posn] poi[i][poiMax, poi0, ..., poin] For each pos values, theres a poi value stored. poiMax is the max value of all pos0, ..., poin

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen, Sebastian Gath

Field Summary
`TokenList` | `col` Array for ftand colors.

Constructor Summary
`FTPosData()`

Method Summary
`void` | `add(int[] pp, int[] p)` Adds a node.
`void` | `addConvSeqData(IntList[] d, int pre, int div)` Converts data from sequential ftcontains processing.
`void` | `addFTAndCol(byte[] c)` Add a ftand color result.
`int[][]` | `get(int pre)` Gets fulltext data from the container.
`void` | `remove(int pre)` Removes ftdata for this node.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### col

    public TokenList col

  Array for ftand colors.

Constructor Detail

### FTPosData

    public FTPosData()

Method Detail

### addFTAndCol

    public void addFTAndCol(byte[] c)

  Add a ftand color result.

  Parameters:
    `c` - int[] ftand color result

### add

    public void add(int[] pp,
                    int[] p)

  Adds a node. pp : [pre, pos0, ..., posn] p : [poiMax, poi0, ..., poin]

  Parameters:
    `pp` - int[] pre and positions
    `p` - int[] pointer

### get

    public int[][] get(int pre)

  Gets fulltext data from the container. If no data is stored for a pre value, null is returned. int[0] : [pos0, ..., posn] int[1] : [poi0, ..., poin]

  Parameters:
    `pre` - int pre value
  Returns:
    int[2][n] fulltext data or null

### remove

    public void remove(int pre)

  Removes ftdata for this node.

  Parameters:
    `pre` - int pre value

### addConvSeqData

    public void addConvSeqData(IntList[] d,
                               int pre,
                               int div)

  Converts data from sequential ftcontains processing.

  Parameters:
    `d` - IntList[] ftcontains data
    `pre` - int pre value
    `div` - int div to add for each pointer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD